Package org.apache.commons.compress.utils

# Class ParsingUtils

java.lang.Object
org.apache.commons.compress.utils.ParsingUtils

public final class ParsingUtils extends Object
Utility methods for parsing data and converting it to other formats.

Since:
  1.26.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `parseIntValue(String value)`
  Parses the provided string value to an Integer, assuming a base-10 radix
  `static int`
  `parseIntValue(String value, int radix)`
  Parse the provided string value to an Integer with a provided radix
  `static long`
  `parseLongValue(String value)`
  Parses the provided string value to a Long, assuming a base-10 radix
  `static long`
  `parseLongValue(String value, int radix)`
  Parses the provided string value to a Long with a provided radix

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parseIntValue

    public static int parseIntValue(String value) throws IOException
    Parses the provided string value to an Integer, assuming a base-10 radix
    Parameters:
      `value` - string value to parse
    Returns:
      parsed value as an int
    Throws:
      `IOException` - when the value cannot be parsed

  - ### parseIntValue

    public static int parseIntValue(String value, int radix) throws IOException
    Parse the provided string value to an Integer with a provided radix
    Parameters:
      `value` - string value to parse
      `radix` - radix value to use for parsing
    Returns:
      parsed value as an int
    Throws:
      `IOException` - when the value cannot be parsed

  - ### parseLongValue

    public static long parseLongValue(String value) throws IOException
    Parses the provided string value to a Long, assuming a base-10 radix
    Parameters:
      `value` - string value to parse
    Returns:
      parsed value as a long
    Throws:
      `IOException` - when the value cannot be parsed

  - ### parseLongValue

    public static long parseLongValue(String value, int radix) throws IOException
    Parses the provided string value to a Long with a provided radix
    Parameters:
      `value` - string value to parse
      `radix` - radix value to use for parsing
    Returns:
      parsed value as a long
    Throws:
      `IOException` - when the value cannot be parsed